package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "UpdateBillDetail",
			Router: `/bill_detail`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "BillDetailList",
			Router: `/bill_detail_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "BillExportExcel",
			Router: `/bill_export_excel`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "BillList",
			Router: `/bill_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "BillRemark",
			Router: `/bill_remark`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "ChargeList",
			Router: `/charge_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "ConsumeList",
			Router: `/consume_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "ConsumeTrendList",
			Router: `/consume_trend_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "GenerateBill",
			Router: `/generate_bill`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "MerchantCharge",
			Router: `/merchant_charge`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "SetMerchantDataApiPriceReq",
			Router: `/merchant_data_api_price`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "MerchantDataApiPriceList",
			Router: `/merchant_data_api_price_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "MerchantPriceList",
			Router: `/merchant_price_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AccountingController"],
		beego.ControllerComments{
			Method: "SetMerchantType",
			Router: `/merchant_type`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ActionLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ActionLogController"],
		beego.ControllerComments{
			Method: "GetActionLog",
			Router: `/`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AuthController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:AuthController"],
		beego.ControllerComments{
			Method: "AuthGetOSSInfo",
			Router: `/oss`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryAccessLog",
			Router: `/access_log`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryAccessLogCount",
			Router: `/access_log_count`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryUserAccessLogExport",
			Router: `/access_log_export`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryAccessLogThirdpartLog",
			Router: `/access_log_get_thirdpart_log`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryInterfaceAnalyze",
			Router: `/access_log_interface_analyze`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryInterfaceCount",
			Router: `/access_log_interface_count`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetApiServiceConsumeInfo",
			Router: `/api_service_consume_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetApiServiceDataInfo",
			Router: `/api_service_data_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetApiServiceFailInfo",
			Router: `/api_service_fail_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetApiServiceIncomeInfo",
			Router: `/api_service_income_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetDistribution",
			Router: `/bi_api_distribution`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetReport",
			Router: `/bi_api_report`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetServiceStatus",
			Router: `/bi_api_status`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetTrend",
			Router: `/bi_api_trend`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetDash",
			Router: `/bi_dashboard`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetPayDistribution",
			Router: `/bi_pay_distribution`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetProviderDistribution",
			Router: `/bi_provider_distribution`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetProviderReport",
			Router: `/bi_provider_report`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetProviderServiceStatus",
			Router: `/bi_provider_status`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetProviderTrend",
			Router: `/bi_provider_trend`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogExportDelete",
			Router: `/export`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogExportList",
			Router: `/exports`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryProviderCountExport",
			Router: `/provider_count_export`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetProviderServiceDataInfo",
			Router: `/provider_service_data_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetProviderServiceFailInfo",
			Router: `/provider_service_fail_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "BiGetProviderServicePayInfo",
			Router: `/provider_service_pay_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryThirdPartyAnalyze",
			Router: `/third_party_analyze`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "ThirdPartyInterfaceErrorAnalyze",
			Router: `/third_party_err_analyze`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryThirdpartAccessCount",
			Router: `/thirdpart_access_count`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryThirdpartInterfaceCount",
			Router: `/thirdpart_access_interface_count`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryThirdpartAccessLog",
			Router: `/thirdpart_access_log`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryThirdpartAccessLogCount",
			Router: `/thirdpart_accesslog_count`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryUserThirdpartLogExport",
			Router: `/thirdpart_log_export`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryUserAccessCount",
			Router: `/user_access_count`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAccessLogController"],
		beego.ControllerComments{
			Method: "LogQueryUserAccessCountExport",
			Router: `/user_access_count_export`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "GetAccess",
			Router: `/access`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "AdminDelete",
			Router: `/admin`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "AdminModify",
			Router: `/admin`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "AdminRegister",
			Router: `/admin`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "GetInfo",
			Router: `/info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "GetAdminList",
			Router: `/list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "AdminLogin",
			Router: `/login`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "GetNodeList",
			Router: `/node_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "UpdateRbacGroup",
			Router: `/rbac_group`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "AddRbacGroup",
			Router: `/rbac_group`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "DeleteRbacGroup",
			Router: `/rbac_group`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "GetRbacGroupList",
			Router: `/rbac_group_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "UpdateStatus",
			Router: `/status`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseAdminController"],
		beego.ControllerComments{
			Method: "AdminTokenVerify",
			Router: `/token_verify`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementDelBaseApi",
			Router: `/base_api`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementAddBaseApi",
			Router: `/base_api`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementUpdateBaseApi",
			Router: `/base_api/:api_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementGetBaseApiInfo",
			Router: `/base_api_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementGetBaseApiList",
			Router: `/base_api_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementAddBaseApiProvider",
			Router: `/base_api_provider`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementGetBaseApiProviderList",
			Router: `/base_api_provider_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementSetBaseApiShowInfo",
			Router: `/base_api_show_info/:api_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementSetBaseApiState",
			Router: `/base_api_state/:api_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementSetBaseApiThreshold",
			Router: `/base_api_threshold/:api_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementGetBaseApiParamTypeList",
			Router: `/param_type_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementTryBaseApi",
			Router: `/try`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementTryApiExcel",
			Router: `/try_api_excel_template`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementDeleteTryApiTask",
			Router: `/try_api_task`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementChangeApiTaskState",
			Router: `/try_api_task`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementCreateTryBaseApiTask",
			Router: `/try_api_task`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseApiController"],
		beego.ControllerComments{
			Method: "ManagementGetTryApiTaskList",
			Router: `/try_api_task_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiAddBaseApi",
			Router: `/base_api`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiRemoveBaseApi",
			Router: `/base_api`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiGetBaseApi",
			Router: `/base_api`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiModifyBaseApi",
			Router: `/base_api`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiComboList",
			Router: `/combo_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiModifyApi",
			Router: `/data_api`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiGetAll",
			Router: `/data_api`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiDeleteApi",
			Router: `/data_api`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiAddApi",
			Router: `/data_api`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiGetApiInfo",
			Router: `/data_api_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiReleaseApi",
			Router: `/data_api_release/:data_api_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiRemoveDataCombo",
			Router: `/data_combo`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiAddDataCombo",
			Router: `/data_combo`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementGetFilterRule",
			Router: `/param_filter_rules`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiRemoveQueryType",
			Router: `/query_type`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiModifyQueryType",
			Router: `/query_type`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiGetQueryType",
			Router: `/query_type`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiAddQueryType",
			Router: `/query_type`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiGetQueryTypeListApi",
			Router: `/query_type_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseDataApiController"],
		beego.ControllerComments{
			Method: "ManagementDataApiSetFreeDataCombo",
			Router: `/set_free_combo`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementGetAllProviderApi",
			Router: `/provider_all_platform_api`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "Hystrix",
			Router: `/provider_api_hystrix`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "UpdateHystrix",
			Router: `/provider_api_hystrix`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementGetProviderMerchantApiList",
			Router: `/provider_merchant_api`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementDelProviderPlatform",
			Router: `/provider_platform`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementUpdateProviderPlatform",
			Router: `/provider_platform`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementGetProviderPlatformList",
			Router: `/provider_platform`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementAddProviderPlatform",
			Router: `/provider_platform`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementUpdateProviderApi",
			Router: `/provider_platform_api`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementDelProviderApi",
			Router: `/provider_platform_api`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementAddProviderApi",
			Router: `/provider_platform_api`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementGetProviderApiList",
			Router: `/provider_platform_api`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementSetProviderThreshold",
			Router: `/provider_threshold/:provider_api_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "ManagementTryProviderApi",
			Router: `/try`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:BaseProviderController"],
		beego.ControllerComments{
			Method: "TryApiTaskList",
			Router: `/try_api_task`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:CrontabController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:CrontabController"],
		beego.ControllerComments{
			Method: "LogGenerateReport",
			Router: `/report`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:DataSupplementController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:DataSupplementController"],
		beego.ControllerComments{
			Method: "ManagementGetDataSupplement",
			Router: `/data`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:DataSupplementController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:DataSupplementController"],
		beego.ControllerComments{
			Method: "ManagementUpdateDataSupplement",
			Router: `/data`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:DataSupplementController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:DataSupplementController"],
		beego.ControllerComments{
			Method: "ManagementGetSupplementDb",
			Router: `/db`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:DataSupplementController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:DataSupplementController"],
		beego.ControllerComments{
			Method: "ManagementGetSuplementTitle",
			Router: `/title`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ErrorController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ErrorController"],
		beego.ControllerComments{
			Method: "ManagementAddError",
			Router: `/error_code`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ErrorController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ErrorController"],
		beego.ControllerComments{
			Method: "ManagementDelError",
			Router: `/error_code`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ErrorController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ErrorController"],
		beego.ControllerComments{
			Method: "ManagementUpdateError",
			Router: `/error_code`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ErrorController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ErrorController"],
		beego.ControllerComments{
			Method: "ManagementGetErrorList",
			Router: `/error_code_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"],
		beego.ControllerComments{
			Method: "ManagementAddH5Api",
			Router: `/h5_api`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"],
		beego.ControllerComments{
			Method: "ManagementDelH5Api",
			Router: `/h5_api`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"],
		beego.ControllerComments{
			Method: "ManagementUpdateH5Api",
			Router: `/h5_api`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"],
		beego.ControllerComments{
			Method: "ManagementH5ApiAddBaseApi",
			Router: `/h5_api_base_api`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"],
		beego.ControllerComments{
			Method: "ManagementH5ApiGetBaseApiList",
			Router: `/h5_api_base_api_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"],
		beego.ControllerComments{
			Method: "ManagementGetH5ApiList",
			Router: `/h5_api_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ApiController"],
		beego.ControllerComments{
			Method: "ManagementSetH5ApiState",
			Router: `/h5_api_state`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementDelH5Service",
			Router: `/h5_service`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementUpdateH5Service",
			Router: `/h5_service`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementAddH5Service",
			Router: `/h5_service`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementH5ServiceAddCombo",
			Router: `/h5_service_combo`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementH5ServiceUpdateCombo",
			Router: `/h5_service_combo`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementH5ServiceDelCombo",
			Router: `/h5_service_combo`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementH5ServiceGetComboList",
			Router: `/h5_service_combo_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementH5ServiceAddH5Api",
			Router: `/h5_service_h5_api`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementH5ServiceGetH5ApiList",
			Router: `/h5_service_h5_api_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementGetH5ServiceList",
			Router: `/h5_service_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementReleaseH5Service",
			Router: `/h5_service_release`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementH5ServiceSetComboFree",
			Router: `/h5_service_set_combo_free`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementAddH5ThemeColor",
			Router: `/theme_color`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementDelH5ThemeColor",
			Router: `/theme_color`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementUpdateH5ThemeColor",
			Router: `/theme_color`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:H5ServiceController"],
		beego.ControllerComments{
			Method: "ManagementGetH5ThemeColorList",
			Router: `/theme_color`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "UpdateMerchantDataApiAlias",
			Router: `/alias`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementDelMerchantDataApi",
			Router: `/data_api/:merchant_data_api_id`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementSetDayCountLimit",
			Router: `/day_count_limit/:merchant_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementExportMerchantBaseApiFile",
			Router: `/merchant_api_file`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementAddMerchantBaseApi",
			Router: `/merchant_base_api`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementUpdateMerchantBaseApi",
			Router: `/merchant_base_api/:merchant_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantBaseApiInfo",
			Router: `/merchant_base_api_info`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantBaseApiList",
			Router: `/merchant_base_api_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantBaseApiListAll",
			Router: `/merchant_base_api_list_all`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementAddMerchantDataApi",
			Router: `/merchant_data_api`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantDataApiList",
			Router: `/merchant_data_api_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantDataApiListByDay",
			Router: `/merchant_data_api_list_by_day`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantDataApiListByTotal",
			Router: `/merchant_data_api_list_by_total`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantDataApiQuota",
			Router: `/merchant_data_api_quota`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "ManagementSetMerchantDataApiQuota",
			Router: `/merchant_data_api_quota/:merchant_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantApiController"],
		beego.ControllerComments{
			Method: "UpdateManagementSetMerchantDataApi",
			Router: `/quota/:merchant_id`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantH5Controller"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantH5Controller"],
		beego.ControllerComments{
			Method: "ManagementAddMerchantH5Service",
			Router: `/merchant_h5_service`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantH5Controller"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantH5Controller"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantH5Combo",
			Router: `/merchant_h5_service_combo`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantH5Controller"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantH5Controller"],
		beego.ControllerComments{
			Method: "ManagementSetMerchantH5Combo",
			Router: `/merchant_h5_service_combo`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantH5Controller"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantH5Controller"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantH5Service",
			Router: `/merchant_h5_service_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantOrderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantOrderController"],
		beego.ControllerComments{
			Method: "ManagementAddOrder",
			Router: `/merchant_order`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantOrderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantOrderController"],
		beego.ControllerComments{
			Method: "ManagementGetMerchantOrderList",
			Router: `/merchant_order_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantOrderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantOrderController"],
		beego.ControllerComments{
			Method: "ManagementPayOrder",
			Router: `/merchant_order_pay`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantOrderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:MerchantOrderController"],
		beego.ControllerComments{
			Method: "ManagementSetMerchantOrderPrice",
			Router: `/merchant_order_price`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ServiceOrderController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:ServiceOrderController"],
		beego.ControllerComments{
			Method: "ServiceManagementOrderList",
			Router: `/service_order_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"],
		beego.ControllerComments{
			Method: "ManagementAddUserMerchant",
			Router: `/user_merchant`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"],
		beego.ControllerComments{
			Method: "ManagementUpdateUserMerchant",
			Router: `/user_merchant`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"],
		beego.ControllerComments{
			Method: "ManagementGetUserMerchantAuthList",
			Router: `/user_merchant_auth_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"],
		beego.ControllerComments{
			Method: "ManagementSetUserMerchantAuthState",
			Router: `/user_merchant_auth_state`,
			AllowHTTPMethods: []string{"put"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"],
		beego.ControllerComments{
			Method: "ManagementGetUserMerchantList",
			Router: `/user_merchant_list`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"] = append(beego.GlobalControllerRouter["gd_management_gateway/controllers/ctrl_v1:UserMerchantController"],
		beego.ControllerComments{
			Method: "ManagementGetUserMerchantListNew",
			Router: `/user_merchant_list_new`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

}
